Subject: Re: Pine and Attached Files

From: [email-masked] (Gordon H. Buchan)
Date: 1 Dec 1994 01:14:40 -0500

[email-masked] () writes:

>In this computer store they had a room set up for seminars and one of the 
>topics was the new Edmonton FreeNet that I belong to. 
>At the seminar someone asked if the program Pine scrambles a file 
>attached to an Email message. No one really knew if it does this on not.  
>It was one of those things that get you thinking.  If you send an Email 
>message with an attached file to someone who does not have the Pine 
>program will it end up distorted?  

Pine uses MIME encoding to send binary attachments over SMTP. This means 
that your attachments will be understood by others using Pine, as well as 
Eudora on PCs and Macs.

MIME has not been adopted widely. Most users can read attachments 
encoding using uuencoding, however. To send a binary attachment with 
uuencoding, you have to encode the file, then include the encoded text in 
the body of your message.

The syntax for uuencoding is:

uuencode filename.ext filename.ext > filename.uue

-- 
----
Gordon H. Buchan
[email-masked]
"My birth certificate says I'm 28, but my doctor says I'm 40."